:root {
    --dark: #151515;
    --light: #ffb0b0;
    --accent: #903030;
}

@font-face {
  font-family: BNJinx; /* set name */
  src: url(./BNJinx.ttf); /* url of the font */
}

tity {
  font-family: BNJinx;
  font-size: 40px;
  padding: 10px;
}

.containerh {
  display: flex;
  border-radius: 0px;
  gap: 10px;
  flex-direction: row;
  flex-wrap: wrap;
  background-color: var(--dark);
  color: var(--light);
  padding: 20px;
  max-width:1000px;
}

.containerh div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: var(--accent);
    color: var(--dark);
    max-width: 290px;
    padding: 10px;
    font-size: 15px;
    text-align: center;
    text-wrap: balance;
    cursor: pointer;
    transition: transform 0.5s ease;
}

.containers {
  display: flex;
  border-radius: 0px 15px 15px 15px;
  gap: 10px;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap;
  background-color: var(--dark);
  color: azure;
  padding: 20px;
  max-width:900px;
}

.containers div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: var(--light);
    max-width: 205px;
    border-radius: 15px;
    padding: 5px;
    font-size: 15px;
    text-align: center;
    text-wrap: balance;
    cursor: pointer;
    transition: transform 0.5s ease;
}

.containerg {
  display: flex;
  border-radius: 15px;
  gap: 10px;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap;
  background-color: var(--dark);
  color: azure;
  padding: 20px;
  max-width:1000px;
}

.containerg div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: var(--light);
    max-width: 1000px;
    border-radius: 15px;
    padding: 20px;
    font-size: 15px;
    text-align: center;
    text-wrap: balance;
    cursor: pointer;
    transition: transform 0.5s ease;
}

.container {
  display: flex;
  border-radius: 0px 15px 15px 15px;
  gap: 10px;
  flex-direction: row;
  flex-wrap: wrap;
  background-color: var(--dark);
  color: azure;
  padding: 20px;
  max-width:1000px;
}

.container div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: var(--light);
    max-width: 290px;
    border-radius: 15px;
    padding: 10px;
    font-size: 15px;
    text-align: center;
    text-wrap: balance;
    cursor: pointer;
    margin: 5px;
    transition: transform 0.5s ease;
}

/* thx andreas-wong on stackoverflow! */

a {
    text-decoration: none;
    color: var(--accent)
}

/*MODBUBBLES*/

/*thx uncredited cloudinary author! */
.imgui2k {
    width: 270px; /* Specify the width */
    height: 147px; /* Specify the height */
    border-radius: 15px;
    border-style: solid;
    background-image: url('./mods/thumb.jpg'); /* Initial background image */
    background-size: cover; /* Cover the entire area of the element */
    transition: background-image 0.5s ease-in-out; /* Smooth transition */
}
.imgui2k:hover {
    background-image: url('./mods/ui2k/prev2.webp'); /* Change on hover */
}

.imgmega {
    width: 270px; /* Specify the width */
    height: 147px; /* Specify the height */
    border-style: solid;
    border-radius: 15px;
    background-image: url('./mods/ALL/mega.webp'); /* Initial background image */
    background-size: cover; /* Cover the entire area of the element */
    transition: background-image 0.5s ease-in-out; /* Smooth transition */
}
.imgmega:hover {
    background-image: url('./mods/ALL/feed.png'); /* Change on hover */
}

.imggen {
    width: 270px; /* Specify the width */
    height: 147px; /* Specify the height */
    align-items: center;
    border-radius: 15px;
    border-style: solid;
    transition: 0.5s ease-in-out; /* Smooth transition */
}

/*MODBUBBLES*/

body {
    background-image: url('bg.png');
}

.news{
  display: block;
  border-radius: 15px;
  flex-direction: row;
  background-color: var(--dark);
  color: var(--light);
  padding: 10px;
  max-width:1000px;
  float: left;
  text-wrap: balance;
}

.news div{
    font-size: 20px;
    width: 100%;
}


h2 {
  margin: auto;
}

img {
    border-style: solid;
    border-radius: 15px;
}

p {
    display: flex;
    font-weight: bold;
    margin: 3px;
    padding: 5px;
}
article {
  display: flex;
  justify-content: flex-start;
  flex-direction: row;
  flex-wrap: wrap;
}

body {
    background-color: var(--light);
    color: var(--dark);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    max-width: 1000px;
    margin: 0 auto;
}

header {
    text-align: center;
    background-color: var(--dark);
    color: var(--light);
    border-radius: 15px 15px 0px 0px;
    padding: 10px;
    max-width: 120px;
}

button {
    all: unset;
    background-color: #151515;
    margin: 2px;
    padding: 5px;
    text-align: center;
    font-size: larger;
    font-weight: bold;
    border-radius: 15px;
    cursor: pointer;
    transition: filter .15s ease-in-out;
}

button:hover {
    filter: brightness(100%)
}

button:active {
    filter: brightness(90%)
}

.container div:hover {
    transform: scale(1.01);
}

.containers div:hover {
    transform: scale(1.01);
}

#output {
    background-color: var(--accent);
    color: var(--light);
    padding: 10px;
    margin: 0px;
    font-size: large;
    border-radius: 0px 0px 15px 15px;
}
